Skip to main content
DELETE
/
api
/
v2
/
reference
/
delete
Delete Reference
curl --request DELETE \
  --url https://app.octavehq.com/api/v2/reference/delete \
  --header 'api_key: <api-key>'
import requests

url = "https://app.octavehq.com/api/v2/reference/delete"

headers = {"api_key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {api_key: '<api-key>'}};

fetch('https://app.octavehq.com/api/v2/reference/delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "_metadata": {
    "requestId": "requestId",
    "timestamp": "2021-01-01T00:00:00.000Z",
    "usage": 0,
    "message": "message"
  },
  "oId": "r_1234",
  "createdAt": "2021-01-01",
  "data": {
    "businessModel": "<string>",
    "theirChallenge": "<string>",
    "howTheyUseUs": "<string>",
    "whyTheyChoseUs": "<string>",
    "impactTheySaw": [
      "<string>"
    ],
    "stakeholdersInvolved": [
      "<string>"
    ],
    "customFields": [
      {
        "title": "<string>",
        "value": [
          "<string>"
        ]
      }
    ]
  },
  "user": {
    "oId": "u_1234",
    "firstName": "John",
    "lastName": "Doe"
  },
  "workspace": {
    "oId": "w_1234"
  },
  "name": "Large filesharing service",
  "internalName": "Dropbox",
  "updatedAt": "2021-01-01",
  "deletedAt": "2021-01-01",
  "archivedAt": "2021-01-01",
  "description": "Description of the reference",
  "active": true,
  "unrecognized": false
}
{
  "_metadata": {
    "requestId": "requestId",
    "timestamp": "2021-01-01T00:00:00.000Z",
    "usage": 0,
    "message": "message"
  },
  "message": "<string>"
}
{
  "_metadata": {
    "requestId": "requestId",
    "timestamp": "2021-01-01T00:00:00.000Z",
    "usage": 0,
    "message": "message"
  },
  "message": "<string>"
}

Authorizations

api_key
string
header
required

Query Parameters

oId
string
required

Reference OId

Response

Deleted reference data

_metadata
object
required
oId
string
required

The ID of the reference

Minimum string length: 1
Example:

"r_1234"

createdAt
string
required

The date and time the reference was created

Example:

"2021-01-01"

data
object | null
required
user
object
required
workspace
object
required
name
string | null

The external facing name of the reference

Example:

"Large filesharing service"

internalName
string | null

The internal name of the reference

Example:

"Dropbox"

updatedAt
string | null

The date and time the reference was updated

Example:

"2021-01-01"

deletedAt
string | null

The date and time the reference was deleted

Example:

"2021-01-01"

archivedAt
string | null

The date and time the reference was archived

Example:

"2021-01-01"

description
string | null

The description of the reference

Example:

"Description of the reference"

active
boolean
default:true

Whether the reference is active and can be used

Example:

true

unrecognized
boolean | null

Whether the reference is unrecognized

Example:

false